<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="en__hsiom__sel__type_8h" kind="file" language="C++">
    <compoundname>en_hsiom_sel_type.h</compoundname>
      <sectiondef kind="enum">
      <memberdef id="group__group__gpio__enums_1ga678dc02e490d04efdcfec78648899ce4" kind="enum" prot="public" static="no">
        <name>en_hsiom_sel_t</name>
        <briefdescription>
<para><bold>en_hsiom_sel_t: </bold><linebreak />The enumerated type representing the High-Speed Input Output Multiplexer (HSIOM) selection of the pin. These connection options are device-dependent. Refer to a device-specific gpio header file, e.g. &lt;PDL_DIR&gt;/devices/include/gpio_psoc6_01_116_bga_ble.h for the supported HSIOM options. The default connection option is software (CPU) pin control.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="12" bodyfile="mainpage/en_hsiom_sel_type.h" bodystart="12" column="1" file="mainpage/en_hsiom_sel_type.h" line="12" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="preprocessor">#if<sp />0</highlight><highlight class="normal" /></codeline>
<codeline lineno="2"><highlight class="normal" /></codeline>
<codeline lineno="3"><highlight class="normal">The<sp />enumerated<sp />type<sp />representing<sp />the<sp />High-Speed<sp />Input<sp />Output<sp />Multiplexer<sp />(HSIOM)<sp />selection<sp />of<sp />the<sp />pin.<sp />These<sp />connection<sp />options<sp />are<sp />device-dependent.<sp />Refer<sp />to<sp />a<sp />device-specific<sp />gpio<sp />header<sp />file,<sp />e.g.<sp />\&lt;PDL_DIR\&gt;/devices/include/gpio_psoc6_01_116_bga_ble.h<sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />the<sp />supported<sp />HSIOM<sp />options.<sp />The<sp /></highlight><highlight class="keywordflow">default</highlight><highlight class="normal"><sp />connection<sp />option<sp />is<sp />software<sp />(CPU)<sp />pin<sp />control.<sp /></highlight></codeline>
<codeline lineno="5"><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="6"><highlight class="normal" /></codeline>
<codeline lineno="12"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__gpio__enums_1ga678dc02e490d04efdcfec78648899ce4">en_hsiom_sel_t</ref>;</highlight></codeline>
<codeline lineno="15"><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="mainpage/en_hsiom_sel_type.h" />
  </compounddef>
</doxygen>